Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 2024)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.program	(revision 2293)
@@ -48,248 +48,4 @@
 } 
 
-
-
-// Cube mapping programs
-vertex_program GameTools/CubeMap/VertexPrograms/DefaultVS hlsl
-{
-	source GameTools_CubeMap.hlsl
-	entry_point deaultVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/CubeMap/FragmentPrograms/DefaultPS hlsl
-{
-	source GameTools_CubeMap.hlsl
-	entry_point deaultPS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/Caustic/DefaultVS hlsl
-{
-	source GameTools_Caustic.hlsl
-	entry_point deaultVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/Caustic/DefaultPS hlsl
-{
-	source GameTools_Caustic.hlsl
-	entry_point deaultPS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/SoftShadow/VertexPrograms/DefaultVS hlsl
-{
-	source GameTools_SoftShadow.hlsl
-	entry_point deaultVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/SoftShadow/FragmentPrograms/DefaultPS hlsl
-{
-	source GameTools_SoftShadow.hlsl
-	entry_point deaultPS
-	target ps_2_0
-
-} 
-
-fragment_program GameTools/SoftShadow/FragmentPrograms/Default2PS hlsl
-{
-	source GameTools_SoftShadow.hlsl
-	entry_point deault2PS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/CausticSoftShadowVS hlsl
-{
-	source GameTools_CausticSoftShadow.hlsl
-	entry_point deaultVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/CausticSoftShadowPS hlsl
-{
-	source GameTools_CausticSoftShadow.hlsl
-	entry_point deaultPS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/CubeMap/VertexPrograms/LocalizedVS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point LocalizedVS
-	target vs_2_0 
-} 
-
-fragment_program GameTools/CubeMap/FragmentPrograms/LocalizedPS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point LocalizedPS
-	target ps_3_0
-}
-
-vertex_program GameTools/CubeMap/VertexPrograms/LocalizedBumpVS hlsl
-{
-	source GameTools_LocalizedBump_EnvMap.hlsl
-	entry_point LocalizedBumpVS
-	target vs_2_0 
-} 
-
-fragment_program GameTools/CubeMap/FragmentPrograms/LocalizedBumpPS hlsl
-{
-	source GameTools_LocalizedBump_EnvMap.hlsl
-	entry_point LocalizedBumpPS
-	target ps_3_0
-}
-
-
-fragment_program GameTools/PhotonMapCausticPS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point PhotonMapCausticPS
-	target ps_3_0
-}
-
-//fragment_program GameTools/PhotonMapSoftShadowPS hlsl
-//{
-//	source GameTools_Localized_EnvMap.hlsl
-//	entry_point PhotonMapSoftShadowPS
-//	target ps_3_0
-//}
-
-
- 
-fragment_program GameTools/CubeMap/FragmentPrograms/LocalizedMetalPS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point LocalizedMetalPS
-	target ps_3_0
-
-} 
-
-vertex_program GameTools/DistanceVS hlsl
-{
-	source GameTools_Distance.hlsl
-	entry_point DistanceVS
-	target vs_1_1
-} 
-
-fragment_program GameTools/DistancePS hlsl
-{
-	source GameTools_Distance.hlsl
-	entry_point DistancePS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/ShadowMap/DepthVS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point DepthVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/ShadowMap/DepthPS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point DepthPS
-	target ps_3_0
-
-}
-
-vertex_program GameTools/ShadowMap/DistVS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point DepthDistVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/ShadowMap/DistPS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point DepthDistPS
-	target ps_3_0
-
-} 
-
-vertex_program GameTools/ShadowMap/ShadowVS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point depthShadowVS
-	target vs_1_1
-} 
-
-fragment_program GameTools/ShadowMap/ShadowPS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point depthShadowPS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/ShadowMap/ShadowDistVS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point distShadowVS
-	target vs_1_1
-} 
-
-fragment_program GameTools/ShadowMap/ShadowDistPS hlsl
-{
-	source GameTools_DepthShadow.hlsl
-	entry_point distShadowPS
-	target ps_2_0
-
-} 
-
-vertex_program GameTools/UV_VS hlsl
-{
-	source GameTools_UV.hlsl
-	entry_point UV_VS
-	target vs_2_0
-} 
-
-fragment_program GameTools/UV_PS hlsl
-{
-	source GameTools_UV.hlsl
-	entry_point UV_PS
-	target ps_2_0
-} 
-
-vertex_program GameTools/CauVS hlsl
-{
-	source GameTools_Cau.hlsl
-	entry_point CauVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/CauPS hlsl
-{
-	source GameTools_Cau.hlsl
-	entry_point CauPS
-	target ps_2_0
-
-} 
-
-
-
-vertex_program GameTools/SceneCameraDepthVS hlsl
-{
-	source GameTools_Depth.hlsl
-	entry_point cDepthVS
-	target vs_2_0
-} 
-
-fragment_program GameTools/SceneDepthPS hlsl
-{
-	source GameTools_Depth.hlsl
-	entry_point DepthPS
-	target ps_2_0
-} 
-
 vertex_program GameTools/CubeMap/VertexPrograms/ReduceVS hlsl
 {
@@ -298,26 +54,2 @@
 	target vs_3_0
 } 
-
-fragment_program GameTools/CubeMap/FragmentPrograms/ReducePS hlsl
-{
-	source GameTools_ReduceCubeMap.hlsl
-	entry_point ReduceTexturePS
-	target ps_3_0
-
-} 
-
-
-vertex_program GameTools/DiffuseVS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point DiffuseVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/DiffusePS hlsl
-{
-	source GameTools_Localized_EnvMap.hlsl
-	entry_point DiffusePS
-	target ps_3_0
-
-} 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/uvegfolyoso2.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/uvegfolyoso2.material	(revision 1598)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/uvegfolyoso2.material	(revision 2293)
@@ -20,8 +20,8 @@
 		   param_named_auto lightcol3 light_diffuse_colour 2
 		   param_named_auto lightcol4 light_diffuse_colour 3
-		   param_named_auto lightcol5 light_diffuse_colour 4
-		   param_named_auto lightcol6 light_diffuse_colour 5
-		   param_named_auto lightcol7 light_diffuse_colour 6
-		   param_named_auto lightcol8 light_diffuse_colour 7
+		  // param_named_auto lightcol5 light_diffuse_colour 4
+		 //  param_named_auto lightcol6 light_diffuse_colour 5
+		 //  param_named_auto lightcol7 light_diffuse_colour 6
+		 //  param_named_auto lightcol8 light_diffuse_colour 7
 		   
 		   param_named_auto lightpos1 light_position 0
@@ -29,8 +29,8 @@
 		   param_named_auto lightpos3 light_position 2
 		   param_named_auto lightpos4 light_position 3
-		   param_named_auto lightpos5 light_position 4
-		   param_named_auto lightpos6 light_position 5
-		   param_named_auto lightpos7 light_position 6
-		   param_named_auto lightpos8 light_position 7
+		//   param_named_auto lightpos5 light_position 4
+		//   param_named_auto lightpos6 light_position 5
+		//   param_named_auto lightpos7 light_position 6
+		//   param_named_auto lightpos8 light_position 7
 		   
 		   param_named_auto ambientLight ambient_light_colour 
@@ -74,8 +74,8 @@
 		   param_named_auto lightcol3 light_diffuse_colour 2
 		   param_named_auto lightcol4 light_diffuse_colour 3
-		   param_named_auto lightcol5 light_diffuse_colour 4
-		   param_named_auto lightcol6 light_diffuse_colour 5
-		   param_named_auto lightcol7 light_diffuse_colour 6
-		   param_named_auto lightcol8 light_diffuse_colour 7
+		 //  param_named_auto lightcol5 light_diffuse_colour 4
+		 //  param_named_auto lightcol6 light_diffuse_colour 5
+		 //  param_named_auto lightcol7 light_diffuse_colour 6
+		 //  param_named_auto lightcol8 light_diffuse_colour 7
 		   
 		   param_named_auto lightpos1 light_position 0
@@ -83,8 +83,8 @@
 		   param_named_auto lightpos3 light_position 2
 		   param_named_auto lightpos4 light_position 3
-		   param_named_auto lightpos5 light_position 4
-		   param_named_auto lightpos6 light_position 5
-		   param_named_auto lightpos7 light_position 6
-		   param_named_auto lightpos8 light_position 7
+		//   param_named_auto lightpos5 light_position 4
+		//   param_named_auto lightpos6 light_position 5
+		//   param_named_auto lightpos7 light_position 6
+		//   param_named_auto lightpos8 light_position 7
 		   
 		   param_named_auto ambientLight ambient_light_colour 
@@ -116,7 +116,7 @@
 			{
 				param_named shininess float 2
-				param_named ambient 0.36774 0.578929 0.681 1
-				param_named diffuse 0.36774 0.578929 0.681 1
-				param_named specular 0.51282 0.51282 0.51282 1				
+				param_named ambient float4 0.36774 0.578929 0.681 1
+				param_named diffuse float4 0.36774 0.578929 0.681 1
+				param_named specular float4 0.51282 0.51282 0.51282 1				
 			}
 			texture_unit 0
@@ -136,7 +136,7 @@
 			{
 				param_named shininess float 2
-				param_named ambient 0.237 0.624 0.547 1
-				param_named diffuse 0.237 0.624 0.547 1
-				param_named specular 0.51282 0.51282 0.51282 1				
+				param_named ambient float4 0.237 0.624 0.547 1
+				param_named diffuse float4 0.237 0.624 0.547 1
+				param_named specular float4 0.51282 0.51282 0.51282 1				
 			}	
 		//	texture_unit 0
@@ -156,7 +156,7 @@
 			{
 				param_named shininess float 0
-				param_named ambient 0.94018 0.94018 0.94018 1
-				param_named diffuse 0.94018 0.94018 0.94018 1
-				param_named specular 0.0 0.0 0.0 1				
+				param_named ambient float4 0.94018 0.94018 0.94018 1
+				param_named diffuse float4 0.94018 0.94018 0.94018 1
+				param_named specular float4 0.0 0.0 0.0 1				
 			}			
 		}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material	(revision 2284)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/diffscene.material	(revision 2293)
@@ -34,8 +34,8 @@
 		   param_named_auto lightcol3 light_diffuse_colour 2
 		   param_named_auto lightcol4 light_diffuse_colour 3
-		   param_named_auto lightcol5 light_diffuse_colour 4
-		   param_named_auto lightcol6 light_diffuse_colour 5
-		   param_named_auto lightcol7 light_diffuse_colour 6
-		   param_named_auto lightcol8 light_diffuse_colour 7
+		 //  param_named_auto lightcol5 light_diffuse_colour 4
+		 //  param_named_auto lightcol6 light_diffuse_colour 5
+		 //  param_named_auto lightcol7 light_diffuse_colour 6
+		 //  param_named_auto lightcol8 light_diffuse_colour 7
 		   
 		   param_named_auto lightpos1 light_position 0
@@ -43,8 +43,8 @@
 		   param_named_auto lightpos3 light_position 2
 		   param_named_auto lightpos4 light_position 3
-		   param_named_auto lightpos5 light_position 4
-		   param_named_auto lightpos6 light_position 5
-		   param_named_auto lightpos7 light_position 6
-		   param_named_auto lightpos8 light_position 7
+		 //  param_named_auto lightpos5 light_position 4
+		 //  param_named_auto lightpos6 light_position 5
+		 //  param_named_auto lightpos7 light_position 6
+		 //  param_named_auto lightpos8 light_position 7
 		   
 		   param_named_auto ambientLight ambient_light_colour 
@@ -71,6 +71,6 @@
 			{
 				param_named shininess float 7.028
-				param_named ambient 0.560857 0.761 0.733514 1
-				param_named diffuse 0.560857 0.761 0.733514 1 				
+				param_named ambient float4 0.560857 0.761 0.733514 1
+				param_named diffuse float4 0.560857 0.761 0.733514 1 				
 			}			
 		}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2284)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/difflab.material	(revision 2293)
@@ -26,47 +26,45 @@
        	   param_named_auto worldViewProj worldviewproj_matrix
            param_named_auto worldView world_matrix
-           param_named_auto worldViewIT inverse_transpose_world_matrix
+           param_named_auto worldViewI inverse_worldview_matrix			
     	} 
 		fragment_program_ref  TexturedPhongPS
 		{ 		
-		    param_named_auto cameraPos camera_position 
-			
-			param_named_auto worldViewIT inverse_transpose_worldview_matrix   
-			
+		   param_named_auto cameraPos camera_position 
+						
 		   param_named_auto lightcol1 light_diffuse_colour 0	
 		   param_named_auto lightcol2 light_diffuse_colour 1
 		   param_named_auto lightcol3 light_diffuse_colour 2
-		   param_named_auto lightcol4 light_diffuse_colour 3
-		   param_named_auto lightcol5 light_diffuse_colour 4
-		   param_named_auto lightcol6 light_diffuse_colour 5
-		   param_named_auto lightcol7 light_diffuse_colour 6
-		   param_named_auto lightcol8 light_diffuse_colour 7
+		  // param_named_auto lightcol4 light_diffuse_colour 3
+		   //param_named_auto lightcol5 light_diffuse_colour 4
+		  // param_named_auto lightcol6 light_diffuse_colour 5
+		  // param_named_auto lightcol7 light_diffuse_colour 6
+		  // param_named_auto lightcol8 light_diffuse_colour 7
 		   
 		   param_named_auto lightpos1 light_position 0
 		   param_named_auto lightpos2 light_position 1
 		   param_named_auto lightpos3 light_position 2
-		   param_named_auto lightpos4 light_position 3
-		   param_named_auto lightpos5 light_position 4
-		   param_named_auto lightpos6 light_position 5
-		   param_named_auto lightpos7 light_position 6
-		   param_named_auto lightpos8 light_position 7
+		  // param_named_auto lightpos4 light_position 3
+		  // param_named_auto lightpos5 light_position 4
+		  // param_named_auto lightpos6 light_position 5
+		  // param_named_auto lightpos7 light_position 6
+		 //  param_named_auto lightpos8 light_position 7
 		   
 		   param_named_auto lightdir1 light_direction 0
 		   param_named_auto lightdir2 light_direction 1
 		   param_named_auto lightdir3 light_direction 2
-		   param_named_auto lightdir4 light_direction 3
-		   param_named_auto lightdir5 light_direction 4
-		   param_named_auto lightdir6 light_direction 5
-		   param_named_auto lightdir7 light_direction 6
-		   param_named_auto lightdir8 light_direction 7
+		  // param_named_auto lightdir4 light_direction 3
+		  // param_named_auto lightdir5 light_direction 4
+		  // param_named_auto lightdir6 light_direction 5
+		  // param_named_auto lightdir7 light_direction 6
+		  // param_named_auto lightdir8 light_direction 7
 		   
 		   param_named_auto lightscale1 light_power 0
 		   param_named_auto lightscale2 light_power 1
 		   param_named_auto lightscale3 light_power 2
-		   param_named_auto lightscale4 light_power 3
-		   param_named_auto lightscale5 light_power 4
-		   param_named_auto lightscale6 light_power 5
-		   param_named_auto lightscale7 light_power 6
-		   param_named_auto lightscale8 light_power 7
+		  // param_named_auto lightscale4 light_power 3
+		  // param_named_auto lightscale5 light_power 4
+		  // param_named_auto lightscale6 light_power 5
+		  // param_named_auto lightscale7 light_power 6
+		  // param_named_auto lightscale8 light_power 7
 		   
 		   param_named_auto ambientLight ambient_light_colour 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 2284)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools.material	(revision 2293)
@@ -41,18 +41,4 @@
 }
 
-vertex_program TexturedVS hlsl
-{
-	source textured.hlsl
-	entry_point vs
-	target vs_2_0
-} 
-
-fragment_program TexturedPS hlsl
-{
-	source textured.hlsl
-	entry_point ps
-	target ps_3_0
-} 
-
 material Examples/MorningSkyBox
 {
@@ -61,14 +47,13 @@
 		pass
 		{
-			vertex_program_ref TexturedVS
+			vertex_program_ref GTP/Basic/PlainTex_VS
 			{       
-				param_named_auto worldViewProj worldviewproj_matrix	
+				param_named_auto WorldViewProj worldviewproj_matrix	
 			} 
-			fragment_program_ref TexturedPS
+			fragment_program_ref GTP/Basic/PlainTex2DColored_PS
 			{ 
-			
+				param_named color float4 10 10 10 1
 			}
 			depth_write off
-
 			texture_unit
 			{
@@ -116,7 +101,7 @@
 		pass
 		{
-			ambient 0.8 0.8 0.8
-			diffuse 0.0 0.0 0.0
-			specular 0.0 0.0 0.0
+			//ambient 0.8 0.8 0.8
+			//diffuse 0.0 0.0 0.0
+			//specular 0.0 0.0 0.0 0.0
 			//lighting off
 			IllumTechniques
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2284)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/kupola.material	(revision 2293)
@@ -1,128 +1,2 @@
-
-
-material kupolalambert2_original
-{ 
-
-   technique 
-   { 
-      pass 
-      { 
-		
-		IllumTechniques
-		{
-				
-			RenderTechnique CausticReceiver
-			{
-				max_caster_count	0
-			}
-			//RenderTechnique DepthShadowReceiver
-			//{
-			//	
-			//}
-		}
-			
-		scene_blend none
-		scene_blend_op add
-		scene_blend_op_alpha add
-		scene_blend_alpha none
-			
-		lighting off		
-	
-		vertex_program_ref GameTools/CausticSoftShadowVS
-		{       
-			param_named_auto worldViewProj worldviewproj_matrix
-			param_named_auto world world_matrix 
-			//param_named_auto world_IT inverse_transpose_world_matrix  
-		} 
-		fragment_program_ref GameTools/CausticSoftShadowPS
-		{ 
-			 param_named_auto world_IT inverse_transpose_world_matrix  
-			 param_named_auto cameraPos camera_position
-			 param_named_auto lightPosition light_position 0 
-		} 
-		
-	    	texture_unit
-		{
-			texture falt2.tga			
-		}
-			 
-		texture_unit //bump
-		{
-			texture falnormal.dds
-		}
-	}
-  }
-}
-
-
-material kupolalambert5_original
-{
-	technique
-	{
-		pass
-		{
-			IllumTechniques
-			{
-				
-				RenderTechnique CausticReceiver
-				{
-					max_caster_count	1
-				}
-				//RenderTechnique DepthShadowReceiver
-				//{
-				//	
-				//}
-			}
-			
-			scene_blend none
-			scene_blend_op add
-			scene_blend_op_alpha add
-			scene_blend_alpha none
-			
-			lighting off		
-
-			vertex_program_ref GameTools/CausticSoftShadowVS
-			{       
-			param_named_auto worldViewProj worldviewproj_matrix
-			param_named_auto world world_matrix 
-			//param_named_auto world_IT inverse_transpose_world_matrix  
-			} 
-			fragment_program_ref GameTools/CausticSoftShadowPS
-			{ 
-			 param_named_auto world_IT inverse_transpose_world_matrix  
-			 param_named_auto cameraPos camera_position
-			 param_named_auto lightPosition light_position 0 
-			} 
-			
-			texture_unit
-			{
-				texture talaj2.tga
-			}						
-			
-			texture_unit 
-			{
-				texture talajnormal.dds		
-			}
-			
-			
-
-		}
-	}
-}
-
-vertex_program KuppolafalVS hlsl
-{
-	source kupola.hlsl
-	entry_point vs
-	target vs_2_0
-} 
-
-fragment_program KuppolafalPS hlsl
-{
-	source kupola.hlsl
-	entry_point ps
-	target ps_3_0
-} 
-
 material kupolafal_low
 { 
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_Glow.compositor
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_Glow.compositor	(revision 788)
+++ 	(revision )
@@ -1,82 +1,0 @@
-compositor GameTools/Glow
-{
-    technique
-    {
-        texture scene target_width target_height PF_FLOAT16_RGBA
-		texture cut 256 256 PF_FLOAT16_RGBA		        
-        texture rt0 256 256 PF_FLOAT16_RGBA        
-        texture rt1 256 256 PF_FLOAT16_RGBA
-        texture prev 256 256 PF_FLOAT16_RGBA
-   
-		target prev
-		{
-			input none
-			only_initial on
-			pass render_quad
-			{
-				material GameTools/PostProcBlack				
-			}
-		}
-		
-        target scene
-        {
-            // Render output from previous compositor (or original scene)
-            input previous
-        }
-		
-       target cut
-        {
-            input none
-			
-            pass render_quad
-            {
-                material GameTools/GlowCut
-                input 0 scene
-               input 1 prev
-            }
-        }
-        target rt0
-        {
-            input none
-          
-            pass render_quad
-            {
-                material GameTools/GlowBlurV
-                input 0 cut
-            }
-        } 
-        target rt1
-        {
-            input none
-         
-            pass render_quad
-            {
-               material GameTools/GlowBlurH
-                input 0 rt0
-            }
-		}
-        target prev        
-        {
-		     input none
-		    
-           pass render_quad
-           {
-				material GameTools/TextureCopy
-				input 0 rt1
-				
-           }
-       }
-      
-        target_output
-        {
-            input none
-          
-          pass render_quad
-            {
-               material GameTools/GlowAdd
-                input 0 scene
-                input 1 rt1
-            }
-        }
-    }
-}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GlassHead.material	(revision 1699)
+++ 	(revision )
@@ -1,186 +1,0 @@
-material GameTools/PhotonMapCaustic
-{ 
-   technique 
-   { 
-
-      pass 
-      { 
-	 vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
-         {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix	    
-    	    param_named_auto worldIT inverse_transpose_world_matrix
-         } 
-	 fragment_program_ref  GameTools/PhotonMapCausticPS
-         { 
-	    param_named_auto cameraPos camera_position
-	    param_named lastCenter float3 0 0 0
-         }
-
-         //distanec cubemap
-         texture_unit
-	 {
-	   cubic_texture 
-	   filtering none
-	 }	
-
-       }
-    }
-}
-
-material GameTools/Cau
-{ 
-   technique 
-   { 
-        pass
-	{
-		cull_hardware none
-		cull_software none
-		lighting off
-		//scene_blend add
-		scene_blend src_alpha one
-		depth_write off
-		point_sprites on
-
-		vertex_program_ref GameTools/CauVS
-	        {       
-        	    param_named_auto worldViewProj worldviewproj_matrix 
-	            param_named_auto worldView worldview_matrix
-		    param_named_auto Proj projection_matrix
-		    param_named_auto resolution viewport_width
-		    //param_named CauSpriteSize float 10.0	    
-		    param_named CauSpriteSize float 20.0	    
-	        } 
-		fragment_program_ref  GameTools/CauPS
-        	{ 
-		    param_named CauSpriteIntens float 0.15
-		    param_named color float3 0.7 0.7 0.5
-		}
-         
-	    	texture_unit
-		{
-			vertex_texture true
-			texture flare.png
-		}
-		texture_unit
-		{
-			texture PowerOfPhotonHitTexel.dds
-		}
-
-       }
-    }
-}
-
-vertex_program GameTools/CauTriVS hlsl
-{
-	source GameTools_CauCube.hlsl
-	entry_point CauVS
-	target vs_3_0
-} 
-
-fragment_program GameTools/CauTriPS hlsl
-{
-	source GameTools_CauCube.hlsl
-	entry_point CauPS
-	target ps_2_0
-
-} 
-material GameTools/CauTri
-{ 
-   technique 
-   { 
-        pass
-	{
-		cull_hardware none
-		cull_software none
-		lighting off
-		//scene_blend add
-		scene_blend src_alpha one
-		depth_write off
-		
-		vertex_program_ref GameTools/CauTriVS
-	    {       
-        	param_named_auto worldView worldview_matrix
-		    param_named_auto Proj projection_matrix
-		    param_named_auto resolution viewport_width
-		} 
-		fragment_program_ref  GameTools/CauTriPS
-        { 
-		   param_named color float3 0.7 0.7 0.5
-		}
-		         
-	    texture_unit
-		{
-			vertex_texture true			
-		}
-       }
-    }
-}
-
-
-material GameTools/CausticGlass
-{ 
-
-   technique 
-   { 
-   
-      pass 
-      { 
-		IllumTechniques
-		{
-			RenderTechnique ColorCubeMap
-			{
-				update_interval		0
-				update_all_face true
-				distance_calc true 3.5					
-			}
-			RenderTechnique DistanceCubeMap
-			{
-				update_interval		0
-				update_all_face true
-				distance_calc true 3.5						
-			}
-			RenderTechnique CausticCaster
-			{
-				attenuation	0
-				photonmap_resolution 32
-				caustic_cubemap_resolution 256	
-				caustic_map_material	GameTools/CauTri
-				use_triangles	true
-				blur_caustic_cubemap true				
-			}
-			
-		 }
-      
-      
-	 vertex_program_ref GameTools/CubeMap/VertexPrograms/LocalizedVS
-     	 {       
-            param_named_auto worldViewProj worldviewproj_matrix 
-    	    param_named_auto world world_matrix 
-     	 } 
-	 fragment_program_ref 	GameTools/CubeMap/FragmentPrograms/LocalizedPS
-     	 { 
-		param_named_auto cameraPos camera_position
-		param_named_auto lightPosition light_position 0
-	 } 
-		
-	 //Cube map for reflections and refractions	
-	 texture_unit
-	 {
-	   cubic_texture cubemap.jpg combinedUVW
-	   tex_address_mode clamp
-	   colour_op replace
-	 }
-
-	//Cube map of distances
-	 texture_unit
-	 {
-	   cubic_texture cubemap.jpg combinedUVW
-	   tex_address_mode clamp
-	   colour_op replace
-	 }
-
-
-	}
-    }
-}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Glow.material
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/Glow.material	(revision 1683)
+++ 	(revision )
@@ -1,263 +1,0 @@
-material GameTools/PostProcBlack
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/PostProc_Black
-         { 
-	
-         }
-       }
-    }
-}
-material GameTools/PostProc1
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/PostProc1_PS
-         { 
-	
-         }
-        texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-      }
-   }
-}
-
-material GameTools/GlowCut
-{
-	technique 
-   { 
-   	pass 
-      {
-	vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-	fragment_program_ref GameTools/GlowCut_PS
-         { 
-		param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height
-		param_named cutValue float 10.0
-		//param_named cutValue float 4.5
-		param_named timeBlur float 0.4
-	        
-         }
-        texture_unit
-	{
-	    //filtering none
-	}
-	texture_unit
-	{
-	    //filtering none
-	}	
-      }
-   }
-}
-
-material GameTools/Luminance
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/Luminance_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        
-         }
-        texture_unit
-		 {
-		    //filtering none
-			texture rockwall.tga		
-		 }		 
-		
-      }
-   }
-}
-
-
-
-material GameTools/GlowBlurH
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/GlowBlurH_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        param_named Stretch float 1.5
-	        //param_named timeBlur float 0.5
-         }
-        texture_unit
-		 {
-		    tex_address_mode mirror 
-			texture rockwall.tga		
-		 }
-		 	
-      }
-   }
-}
-
-material GameTools/GlowBlurV
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/GlowBlurV_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        param_named Stretch float 1.5
-	        // param_named timeBlur float 0.5
-         }
-        texture_unit
-		 {
-		    tex_address_mode mirror 
-			texture rockwall.tga		
-		 }		 
-      }
-   }
-}
-
-material GameTools/GlowBlurHTB
-{
-   technique 
-   { 
-   	pass 
-      {
-        scene_blend alpha_blend
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/GlowBlurH_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        param_named Stretch float 1.2
-	         param_named timeBlur float 0.025
-         }
-        texture_unit
-		 {
-		    tex_address_mode mirror 
-			texture rockwall.tga		
-		 }		 
-      }
-   }
-}
-
-material GameTools/TextureCopy
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/TextureCopy_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        
-         }
-        texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }		 
-      }
-   }
-}
-    
-material GameTools/GlowAdd
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/GlowAdd_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        
-         }
-        texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-		  texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-      }
-   }
-}
-
-material GameTools/ToneMap
-{
-	technique 
-   { 
-   	pass 
-      {
-		vertex_program_ref GameTools/PostProc1_VS
-         {       
-         } 
-		fragment_program_ref GameTools/ToneMap_PS
-         { 
-			param_named_auto width viewport_width 	
-	        param_named_auto height viewport_height 
-	        param_named Gain float 0.5
-         }
-        texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-		  texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-		  texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-		  texture_unit
-		 {
-		   // filtering none
-			texture rockwall.tga		
-		 }
-      }
-   }
-}
Index: GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_ToneMap.compositor
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/materials/scripts/GameTools_ToneMap.compositor	(revision 1683)
+++ 	(revision )
@@ -1,117 +1,0 @@
-compositor GameTools/ToneMap
-{
-    technique
-    {
-        texture scene target_width target_height PF_FLOAT16_RGBA
-		texture luminance 256 256 PF_FLOAT16_RGBA		        
-        texture rt0 256 256 PF_FLOAT16_RGBA        
-        texture rt1 256 256 PF_FLOAT16_RGBA
-        texture rt2 128 128 PF_FLOAT16_RGBA
-        texture rt3 32 32 PF_FLOAT16_RGBA
-        texture rt4 8  8  PF_FLOAT16_RGBA
-        texture rt5 2  2  PF_FLOAT16_RGBA
-        
-        target scene
-        {
-            input previous		 
-        }
-        target luminance
-        {
-            input none
-           
-            pass render_quad
-            {
-                 material GameTools/Luminance
-                input 0 scene
-            }
-        }
-        target rt0
-        {
-            input none
-            
-            pass render_quad
-            {
-                material GameTools/GlowBlurV
-                input 0 luminance
-           }
-        } 
-        target rt1
-        {
-            input none
-            pass render_quad
-            {
-               material GameTools/GlowBlurH
-                input 0 rt0			    
-            }
-		} 
-		
-		target rt2
-        {
-            input none
-            pass render_quad
-            {
-               material GameTools/GlowBlurV
-                input 0 rt1			    
-            }
-		} 
-		
-		target rt3
-        {
-            input none
-            pass render_quad
-            {
-               material GameTools/GlowBlurH
-                input 0 rt2			    
-            }
-		} 
-		
-		target rt4
-        {
-            input none
-            pass render_quad
-            {
-               material GameTools/GlowBlurV
-                input 0 rt3			    
-            }
-		} 
-		
-		target rt5
-		{
-			input none
-			only_initial on
-			pass clear
-			{
-							
-			}
-		}
-		
-		target rt5
-        {
-            input none            
-            
-            pass render_quad
-            {
-	           clear
-	           {
-	            buffers depth
-	           }
-
-               material GameTools/GlowBlurHTB
-                input 0 rt4			    
-            }
-		} 
-		
-        target_output
-        {
-            input none
-          pass render_quad
-            {
-               material GameTools/ToneMap
-                input 0 scene
-                input 1 rt1
-				input 2 luminance
-				input 3 rt5			
-            }
-        }
-    }
-}
